Subject: RE: [ITP] rebase
From: "Ralf Habacker" <[email-masked]>
To: "Jason Tishler" <[email-masked]>
Cc: "cygwin" <[email-masked]>
Date: Fri, 14 Feb 2003 14:42:40 +0100

> >
> > > wasn't tight enough.
> > >
> > > My version:
> > >
> > >     (char *)&relocp->SizeOfBlock < (char *)relocs + size
> > >
> > > seems to be.
> > >
> >
> > What was the problem with this guard:
>
> To which guard are you referring?  Mine or yours?
>
> > Does it not fix the last entry of a relocation block ?
>
> I'm concerned that my guard might have an off-by-one error and miss the
> last entry.  Is there an easy way to check this?

I have compared this with, what objdump says and it seems there is no
difference.
I've checked in your changes additional with some debug informations printings
in Relocations::check()

Regards
Ralf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/